<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.lantone.security.mapper.SoftwareMenuMapper">
    <select id="getSoftwareMenu" resultType="com.lantone.security.entity.SoftwareMenu">
        SELECT
        	*
        FROM
        	`sys_software_menu`
        WHERE 1=1
        <if test="menuId != null ">
            AND	`menu_id` = #{menuId}
        </if>
        <if test="softwareMenuIds !=null and softwareMenuIds.size!=0">
            AND `id` IN
            <foreach collection="softwareMenuIds" item="id" open="(" close=")" separator=",">
                #{id}
            </foreach>
        </if>
    </select>

</mapper>